Trace lot lineage
GET
/api/v1/wallets/{address}/lots/{lot_id}/trace
const url = 'https://api.qeychain.xyz/api/v1/wallets/example/lots/example/trace?direction=both&max_depth=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.qeychain.xyz/api/v1/wallets/example/lots/example/trace?direction=both&max_depth=10'Walk the complete lineage chain for a specific lot, showing all source and destination lots.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Address
string
lot_id
required
Lot Id
string
Query Parameters
Section titled “Query Parameters”direction
Direction
Trace direction: ‘source’, ‘destination’, or ‘both’
string
Trace direction: ‘source’, ‘destination’, or ‘both’
max_depth
Max Depth
Maximum depth to trace
integer
Maximum depth to trace
owned_wallets
Any of:
Array<string>
null
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Trace Lot Lineage Api V1 Wallets Address Lots Lot Id Trace Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}